package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 申诉结果(1.通过,2.不通过)枚举类
*
* @author zxfei
*/
public enum AppealResultEnum {
    通过(1, "通过"),
    不通过(2, "不通过");
    private Integer value;
    private String desc;

    AppealResultEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static AppealResultEnum getByValue(Integer value) {
        for (AppealResultEnum appealResultEnum : AppealResultEnum.values()) {
            if (appealResultEnum.getValue() == value) {
                return appealResultEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (AppealResultEnum item : AppealResultEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}